afs5log(8)

NAME
afs5log - AFS token initializer

SYNOPSIS
afs5log [ [-v] [-5] [-k] [-p path] [cell[=principal] ] ] [...]

DESCRIPTION
The afs5log command uses Kerberos to obtain AFS tokens for the named cells. If no cell is named, tokens are obtained for the local cell. If the principal name of the afs service for the cell is known, the cell name may also be given in the form cell=principal_name. Attempts are made to obtain Kerberos IV credentials first, and if that fails, afs5log will create Kerberos 5 (2b-style) tokens.

ARGUMENTS

-v  Turns on verbose mode. afs5log will print debugging messages while it does its work. Use more than once to get more detail.

-p path
    Determine which cell the specified path resides in, and obtain tokens for that cell.

-s strategy
    Overrides the default token-setting strategy ("2b") with the named strategy. Recognized strategy names include:
     rxk5 rxk5 (requires OpenAFS 1.6 or later)
     2b rxkad "2b" (requires OpenAFS 1.2.8 or later)

-5  Skip attempts to use Kerberos IV and just use 2b-style tokens, which are only supported by OpenAFS 1.2.8 and later.

-k  Skip attempts to use Kerberos IV and use rxk5-style tokens, which are only supported by OpenAFS 1.6 and later.

-n  Assume that, if a cell name and a realm name differ only by case, that the name of the AFS service's principal name doesn't include an instance.

SEE ALSO
pam_krb5(5) krb5.conf(5)

BUGS
Probably, but let's hope not. If you find any, please file them in the bug database at http://bugzilla.redhat.com/ against the "pam_krb5" component.

AUTHOR
Nalin Dahyabhai <nalin@redhat.com>